Package ru.bitel.bgbilling.kernel.admin.webmenu.common.bean

# Class WebMenuModuleItem

java.lang.Object
ru.bitel.bgbilling.kernel.admin.webmenu.common.bean.WebMenuModuleItem

    public class WebMenuModuleItem
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WebMenuModuleItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAction()` |
  `java.lang.String` | `getCssClass()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getIcon()` |
  `int` | `getModuleId()` |
  `java.lang.String` | `getModuleName()` |
  `java.lang.String` | `getModuleTitle()` |
  `java.lang.String` | `getTitle()` |
  `void` | `setAction​(java.lang.String action)` |
  `void` | `setCssClass​(java.lang.String cssClass)` |
  `void` | `setDescription​(java.lang.String description)` |
  `void` | `setIcon​(java.lang.String icon)` |
  `void` | `setModuleId​(int moduleId)` |
  `void` | `setModuleName​(java.lang.String moduleName)` |
  `void` | `setModuleTitle​(java.lang.String moduleTitle)` |
  `void` | `setTitle​(java.lang.String title)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WebMenuModuleItem

    public WebMenuModuleItem()

- ## Method Details

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId​(int moduleId)

  - ### getModuleTitle

    public java.lang.String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle​(java.lang.String moduleTitle)

  - ### getModuleName

    public java.lang.String getModuleName()

  - ### setModuleName

    public void setModuleName​(java.lang.String moduleName)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getAction

    public java.lang.String getAction()

  - ### setAction

    public void setAction​(java.lang.String action)

  - ### getIcon

    public java.lang.String getIcon()

  - ### setIcon

    public void setIcon​(java.lang.String icon)

  - ### getCssClass

    public java.lang.String getCssClass()

  - ### setCssClass

    public void setCssClass​(java.lang.String cssClass)

  - ### getDescription

    public java.lang.String getDescription()

  - ### setDescription

    public void setDescription​(java.lang.String description)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`